Diff

Differences From Artifact [d77e5eb40c]:

To Artifact [24178e9f3f]:


     9      9   	echo 'ERROR: The TCLVERS environment variable is not set' >&2
    10     10   
    11     11   	exit 1
    12     12   fi
    13     13   
    14     14   SRC="src/tcl${TCLVERS}.tar.gz"
    15     15   SRCURL="http://prdownloads.sourceforge.net/tcl/tcl${TCLVERS}-src.tar.gz"
           16  +SRCHASH='-'
    16     17   BUILDDIR="$(pwd)/build/tcl${TCLVERS}"
    17     18   OUTDIR="$(pwd)/out"
    18     19   INSTDIR="$(pwd)/inst"
    19     20   PATCHSCRIPTDIR="$(pwd)/patchscripts"
    20     21   PATCHDIR="$(pwd)/patches"
    21     22   export SRC SRCURL BUILDDIR OUTDIR INSTDIR PATCHSCRIPTDIR PATCHDIR
           23  +
           24  +case "${TCLVERS}" in
           25  +	8.6.4)
           26  +		SRCHASH='9e6ed94c981c1d0c5f5fefb8112d06c6bf4d050a7327e95e71d417c416519c8d'
           27  +		;;
           28  +esac
    22     29   
    23     30   # Set configure options for this sub-project
    24     31   LDFLAGS="${LDFLAGS} ${KC_TCL_LDFLAGS}"
    25     32   CFLAGS="${CFLAGS} ${KC_TCL_CFLAGS}"
    26     33   CPPFLAGS="${CPPFLAGS} ${KC_TCL_CPPFLAGS}"
    27     34   LIBS="${LIBS} ${KC_TCL_LIBS}"
    28     35   export LDFLAGS CFLAGS CPPFLAGS LIBS
................................................................................
   147    154   
   148    155   			cd ..
   149    156   
   150    157   			rm -rf "${workdir}"
   151    158   		) || exit 1
   152    159   	else
   153    160   		if [ ! -d 'buildsrc' ]; then
   154         -			download "${SRCURL}" "${SRC}" - || (
          161  +			download "${SRCURL}" "${SRC}" "${SRCHASH}" || (
   155    162   				echo '  Unable to download source code for Tcl.' >&4
   156    163   				echo '  Aborting Tcl -- further packages will likely also fail.' >&4
   157    164   
   158    165   				exit 1
   159    166   			) || exit 1
   160    167   		fi
   161    168   	fi